tag 472367 patch
thanks

Hi,

The bug is reproducible if /etc/alternative/x-window-manager is not there.

[EMAIL PROTECTED]:~/devel/debian/tmp/jwm$ sudo
mv /etc/alternatives/x-window-manager /etc/alternatives/x-window-manager-orig
[EMAIL PROTECTED]:~/devel/debian/tmp/jwm$ sudo apt-get install jwm Reading 
package
lists... Done Building dependency tree Reading state information... Done
The following NEW packages will be installed:
  jwm
0 upgraded, 1 newly installed, 0 to remove and 9 not upgraded.
Need to get 94.9kB of archives.
After this operation, 291kB of additional disk space will be used.
Get:1 http://ftp.de.debian.org sid/main jwm 2.0.1-1 [94.9kB]
Fetched 94.9kB in 16s
(5776B/s) Selecting previously deselected package jwm.
(Reading database ... 188885 files and directories currently installed.)
Unpacking jwm (from .../archives/jwm_2.0.1-1_i386.deb) ...
Setting up jwm (2.0.1-1) ...
ln: creating symbolic link `/usr/bin/x-window-manager': File exists
dpkg: error processing jwm (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 jwm
E: Sub-process /usr/bin/dpkg returned an error code (1)

The following patch will fix it:

--- jwm-2.0.1-orig/debian/jwm.postinst  2008-03-30 19:32:46.000000000 +0530
+++ jwm-2.0.1/debian/jwm.postinst       2008-03-30 19:16:06.000000000 +0530
@@ -26,12 +26,10 @@
 DamageControl ()
 {
     #  jwm 0.23-2 deleted $GENERICBIN link. Make sure it's there
-
-    [ -r $GENERICBIN ] && return
-
     #  regenerate the link
-
-    ln -s  /etc/alternatives/$ETCALT $GENERICBIN
+    if ! [ -L $GENERICBIN ]; then
+       ln -s  /etc/alternatives/$ETCALT $GENERICBIN;
+    fi
 }
 
 Debhelper ()

Also, attached as diff with mail. Thanks to Goswin von Brederlow for help (and
patch)!

-- 
Cheers,
Kartik Mistry | 0xD1028C8D | IRC: kart_
Blogs: {ftbfs,kartikm}.wordpress.com
--- jwm-2.0.1-orig/debian/jwm.postinst	2008-03-30 19:32:46.000000000 +0530
+++ jwm-2.0.1/debian/jwm.postinst	2008-03-30 19:16:06.000000000 +0530
@@ -26,12 +26,10 @@
 DamageControl ()
 {
     #  jwm 0.23-2 deleted $GENERICBIN link. Make sure it's there
-
-    [ -r $GENERICBIN ] && return
-
     #  regenerate the link
-
-    ln -s  /etc/alternatives/$ETCALT $GENERICBIN
+    if ! [ -L $GENERICBIN ]; then
+	ln -s  /etc/alternatives/$ETCALT $GENERICBIN;
+    fi
 }
 
 Debhelper ()

Reply via email to